Name:           i3-ipc
Version:        0.1.4
Release:        9%{?dist}
Summary:        Inter-process communication with i3

Group:          Applications/System
License:        BSD
URL:            http://github.com/badboy/i3-ipc

Source0:        http://github.com/badboy/%{name}/raw/v%{version}/%{name}
Source1:        http://github.com/badboy/%{name}/raw/v%{version}/man/%{name}.1
Source2:        http://github.com/badboy/%{name}/raw/v%{version}/LICENSE

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       i3


%description
The ruby script i3-ipc can be used to communicate with i3, the improved tiling
window manager, through the provided ipc socket.
Useful for scripting the window manager.


%prep
cp -p %{SOURCE2} .


%build
%install
rm -rf %{buildroot}

install -Dpm0755 %{SOURCE0} \
        %{buildroot}/%{_bindir}/%{name}

install -Dpm0644 %{SOURCE1} \
        %{buildroot}/%{_mandir}/man1/%{name}.1


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/%{name}
%{_mandir}/*/%{name}.*


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Apr 16 2010 Simon Wesp <cassmodiah@fedoraproject.org> - 0.1.4-1
- Initial package release
